IF COL_LENGTH('Clientes_Invitados_Mov', 'Fecha_Hasta') IS NULL 
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD Fecha_Hasta DATETIME
END
GO

IF COL_LENGTH('Clientes_Invitados_Mov', 'Tipo') IS NULL 
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD Tipo CHAR(1) DEFAULT('I')
END
GO

UPDATE Clientes_Invitados_Mov SET Tipo = 'I' WHERE Tipo IS NULL
GO


IF COL_LENGTH('Clientes_Invitados_Mov', 'Id_Usuario') IS NULL 
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD Id_Usuario SMALLINT
END
GO

IF COL_LENGTH('Clientes_Invitados_Mov', 'Id_Usuario_Kiosk') IS NULL 
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD Id_Usuario_Kiosk INT
END
GO

IF NOT EXISTS(SELECT 1 FROM sys.indexes WHERE name='IX_CLIIM_PorUsu' AND object_id = OBJECT_ID('Clientes_Invitados_Mov'))
BEGIN
	CREATE INDEX IX_CLIIM_PorUsu ON Clientes_Invitados_Mov (Id_Usuario)
END	
GO

IF NOT EXISTS(SELECT 1 FROM sys.indexes WHERE name='IX_CLIIM_PorUsuK' AND object_id = OBJECT_ID('Clientes_Invitados_Mov'))
BEGIN
	CREATE INDEX IX_CLIIM_PorUsuK ON Clientes_Invitados_Mov (Id_Usuario_Kiosk)
END	
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='FK_CliIM_Clientes_D' AND xtype='F')
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD CONSTRAINT FK_CliIM_Clientes_D FOREIGN KEY (Id_Cliente_D) 
	REFERENCES Clientes (Id_Cliente)
END
GO


IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='FK_CliIM_Clientes_Kiosk' AND xtype='F')
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD CONSTRAINT FK_CliIM_Clientes_Kiosk FOREIGN KEY (Id_Usuario_Kiosk) 
	REFERENCES Clientes (Id_Cliente)
END
GO



IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='FK_CliIM_User' AND xtype='F')
BEGIN
	ALTER TABLE Clientes_Invitados_Mov ADD CONSTRAINT FK_CliIM_User FOREIGN KEY (Id_Usuario) 
	REFERENCES Seg_User ([NO])
END
GO
